mlbench.ringnorm {mlbench} | R Documentation

## Ringnorm Benchmark Problem

### Description

The inputs of the ringnorm problem are points from two Gaussian distributions. Class 1 is multivariate normal with mean 0 and covariance 4 times the identity matrix. Class 2 has unit covariance and mean (a,a,…,a), a=d^{-0.5}.

### Usage

    mlbench.ringnorm(n, d=20)

### Arguments

`n` | number of patterns to create
`d` | dimension of the ringnorm problem

### Value

Returns an object of class `"mlbench.ringnorm"` with components

`x` | input values
`classes` | factor vector of length `n` with target classes

### References

Breiman, L. (1996). Bias, variance, and arcing classifiers. Tech. Rep. 460, Statistics Department, University of California, Berkeley, CA, USA.

### Examples

    p<-mlbench.ringnorm(1000, d=2)
    plot(p)

[Package mlbench version 2.1-1 Index]